// deployer Module implementation
// Copyright (C) 2024 Jean-Cloud
// GNU General Public License v3

#include <stdio.h>
#include <iostream>
#include "Module.h"

//constructor inline
//destructor, could not be inline because pure virtual
Module::~Module(){}

//protected methods (unprotected for tests purposes)
int Module::isserviceOnServer()
//this method tests if a certain service is on the current server
//it uses the bash command dig, thanks to a pipe to a separate bash process
{
    FILE *p;
    char result [100];

    p = popen("ls -la","r"); //just to test that popen works
    if( p == NULL)
    {
        cout << "Unable to verify if the service is on the server, bash process opening error." << endl;
        return -1;
    }
    while(fgets(result,100,p)!=NULL){
        //if several lines, copy result somewhere to save it
        cout << result << endl;
    }
    pclose(p);
    return 0;
}



